tests: remove udf/101
[xfstests-dev.git] / tests / generic / 006
1 #! /bin/bash
2 # FS QA Test No. 006
3 #
4 # permname
5 #
6 #-----------------------------------------------------------------------
7 # Copyright (c) 2000-2001 Silicon Graphics, Inc.  All Rights Reserved.
8 #
9 # This program is free software; you can redistribute it and/or
10 # modify it under the terms of the GNU General Public License as
11 # published by the Free Software Foundation.
12 #
13 # This program is distributed in the hope that it would be useful,
14 # but WITHOUT ANY WARRANTY; without even the implied warranty of
15 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
16 # GNU General Public License for more details.
17 #
18 # You should have received a copy of the GNU General Public License
19 # along with this program; if not, write the Free Software Foundation,
20 # Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
21 #
22 #-----------------------------------------------------------------------
23 #
24
25 seq=`basename $0`
26 seqres=$RESULT_DIR/$seq
27 echo "QA output created by $seq"
28
29 here=`pwd`
30 tmp=/tmp/$$
31 status=0        # success is the default!
32 trap "_cleanup; exit \$status" 0 1 2 3 15
33
34 _cleanup()
35 {
36     cd /
37     rm -f $tmp.*
38     rm -rf $TEST_DIR/permname.$$
39 }
40
41 _count()
42 {
43     $AWK_PROG '
44         BEGIN   { count = 0 }
45                 { count ++ }
46         END     { print count " files created" }
47     '
48 }
49
50 # get standard environment, filters and checks
51 . ./common/rc
52 . ./common/filter
53
54 # real QA test starts here
55 _supported_fs generic
56 _supported_os IRIX Linux
57 _require_test
58
59 mkdir $TEST_DIR/permname.$$
60
61 echo ""
62 echo "single thread permname"
63 echo "----------------------"
64 mkdir $TEST_DIR/permname.$$/a
65 cd $TEST_DIR/permname.$$/a
66 $here/src/permname -c 4 -l 6 -p 1 || echo "permname returned $?"
67 find . | _count
68
69 echo ""
70 echo "multi thread permname"
71 echo "----------------------"
72 mkdir $TEST_DIR/permname.$$/b
73 cd $TEST_DIR/permname.$$/b
74 $here/src/permname -c 4 -l 6 -p 4 || echo "permname returned $?"
75 find . | _count
76
77 exit